Bug 71582 - pwlib loop with openh323gk
pwlib loop with openh323gk
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: pwlib (Show other bugs)
1.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Reed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 08:12 EDT by Alexander Larsson
Modified: 2007-03-26 23:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 19:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2002-08-15 08:12:14 EDT
Subject: rawhide pwlib, openh323

Hi,

Building openh323gk (from http://www.gnugk.org/) with the latest pwlib
and openh323 packages from rawhide results in a binary that just
endlessly loops allocating memory upon startup.

I think the loop is in
pwlib/src/ptlib/unix/socket.cxx:PIPSocket::GetRouteTable();

somehow the eof() or bad() file conditions are not detected.

This only occurs if pwlib/openh323 are built with g++-3.
Rebuilding the RPMS with gcc296 makes the gatekeeper work..
Comment 1 Daniel Reed 2004-05-03 19:20:38 EDT
Please re-file if this is still relevant.

Note You need to log in before you can comment on or make changes to this bug.